# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cat <<EOF
<!Doctype HTML>

<html>
  <head>
    <title>$($PAGE title)</title>
    <style type="text/css">
    <!--
body {
  background: #EEE;
  margin: 0;
  padding: 2.5em 0 0 0;
}
.NAVIGATION {
  position: fixed;
  top: 0;
  display: inline-block;
  height: 1.5em;
  border-style: none solid solid solid;
  border-width: 0 1px 1px 1px;
  border-radius: 0 0 4px 4px;
  margin-top: 0;
  margin-left: 3%;
  padding: .5em 1ex .25em 1ex;
  background: #FFF;
}
.NAVIGATION a {
  color: #008;
  border-style: solid;
  border-width: 1px;
  border-color: #BBF;
  margin: .5em .5ex .25em .5ex;
  padding: .2em 3ex .2em 3ex;
  background: #EFF;
}
.NAVIGATION a:hover {
  border-width: 2px 1px 2px 1px;
  background: #F3FFFF;
}


    $(. $PAGE css)
    -->
    </style>
  </head>
  <body>
    <div class="NAVIGATION">
      $(NAVIGATION |sed -r 's:^([^ ]+) (.+)$:<a href="\1">\2</a>:g')
    </div>
    <div class="MAIN">
      $(. $PAGE body)
    </div>
  </body>
</html>
EOF

# vi:set filetype=html:
